%define oname libdc1394
%define major 12
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394_ %major -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394_12
Version: 	1.2.2
Release: 	%mkrel 4
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
Patch0:		libdc1394-0.9.5-lib64.patch
Patch1:		libdc1394-videodev.h.patch
Patch2:		libdc1394-1.2.2-automake-1.13.patch
BuildRequires: 	libraw1394_8-devel
BuildRequires:	libx11-devel
BuildRequires:	libxv-devel
BuildRequires:	libv4l-devel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%if %_lib != lib
%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).
%endif

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libdc1394_12-devel = %{version}-%{release}
Requires:	libraw1394_8-devel
Conflicts:	%mklibname -d dc1394

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .lib64
%patch1 -p0 -b .videodev
%patch2 -p1 -b .automake

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%if %_lib == lib
%files
%else
%files -n %{libname}
%endif
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/libdc1394_control.so.%{major}*

%files -n %{develname}
%{_bindir}/dc1394_vloopback
%{_includedir}/libdc1394
%{_libdir}/*.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-4.mga4
+ Revision: 506958
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 1.2.2-3.mga3
+ Revision: 357105
- fix build with latest automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 fwang <fwang> 1.2.2-2.mga3
+ Revision: 285047
- requires libraw1394_8

* Tue Aug 28 2012 fwang <fwang> 1.2.2-1.mga3
+ Revision: 284885
- fix build with latest videodev
- new version 1.2.2

* Fri Feb 25 2011 ennael <ennael> 1.2.1-11.mga1
+ Revision: 59461
- clean spec file
- imported package libdc1394_12


* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 1.2.1-11mdv2011.0
+ Revision: 636026
- rebuild
- tighten BR

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-10mdv2011.0
+ Revision: 602536
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-9mdv2010.1
+ Revision: 520763
- rebuilt for 2010.1

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1.2.1-8mdv2010.0
+ Revision: 447467
- rebuild

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1.2.1-7mdv2010.0
+ Revision: 447446
- add conflict with 2.x version of libdc1394
- fix build
- branch 1.x version for ptlib

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-5mdv2008.1
+ Revision: 150549
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-4mdv2008.0
+ Revision: 76780
- new devel naming
- reconstruct the autofoo toolchain

